Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventCrossing Class Reference

A GdkEventCrossing C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventCrossing:

List of all members.

## Public Member Functions

Accessors

- GdkEventCrossing * gdk_event_crossing () const
    Get a pointer to the GdkEventCrossing structure.
- Window * subwindow () const
    Returns the subwindow that was entered or left.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- double x () const
    Returns the X coordinate of the pointer relative to the window.
- double y () const
    Returns the Y coordinate of the pointer relative to the window.
- double x_root () const
    Returns the X coordinate of the pointer relative to the root of the screen.
- double y_root () const
    Returns the Y coordinate of the pointer relative to the root of the screen.
- CrossingMode mode () const
    Returns the crossing mode (CROSSING_NORMAL, CROSSING_GRAB or CROSSING_UNGRAB).
- NotifyType detail () const
    Returns the kind of crossing that happened (NOTIFY_INFERIOR, NOTIFY_ANCESTOR, NOTIFY_VIRTUAL, NOTIFY_NONLINEAR or NOTIFY_NONLINEAR_VIRTUAL).
- bool focus () const
    Returns true if window is the focus window or an inferior.
- ModifierTypeField state () const
    Returns a bit-mask representing the state of the modifier keys (for example, Control, Shift and Alt) and the pointer buttons (see Gdk::ModifierType).

## Detailed Description

A GdkEventCrossing C++ wrapper class.

EventCrossing is generated when the pointer enters or leaves a window.

The event type will be either ENTER_NOTIFY or LEAVE_NOTIFY.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer